Bug 65704 - UI: Sound and media panel UI stays forever in Writer, and is slow to open sounds
Summary: UI: Sound and media panel UI stays forever in Writer, and is slow to open sounds
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Linux (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: infoprovider:yohann.math@gmail.com BSA
Keywords:
Depends on:
Blocks: Media Writer-Toolbars
  Show dependency treegraph
 
Reported: 2013-06-13 09:35 UTC by yohann.math
Modified: 2018-10-15 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace log in Linux created as root user (9.94 KB, text/x-log)
2015-05-23 19:51 UTC, Edmund Laugasson
Details
strace log in Linux as regular user (55.20 KB, text/plain)
2015-05-23 19:55 UTC, Edmund Laugasson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yohann.math 2013-06-13 09:35:28 UTC
Problem description: 

Using the gallery, when chosing a sound to include in an odt document, a new panel appears (with a Open file, play button, media length bar, and so on).
It seems to make libreoffice EXTREMELY SLOW and it takes about 10 seconds to have a 1-second sound played on a thinkpad t420s with Intel Core i7 4GB Ram. Even to repeatdly play the same sound once

Moreover, IT IS IMPOSSIBLE TO GET RID OF the newly appeared panel to give an interface to play sound 

Now, I always have this panel in my UI in LibreOffice Writer whatever I do. I tried to hide every UI component, this one stays there.

Trying to reopen Writer has no effect, i'm going to uninstall and reinstall.

Steps to reproduce:
1. Open the media gallery via the button in the UI
2. Select some sounds, play with it, try to include it in a document, delete it
3. play with 

Current behavior:
When I close the "gallery", the panel for opening movies and sound stays open. No button or no option menu can hide it. It stays now forever, even for new documents, using a significant part of my LibreOffice Writer window.



Expected behavior:
Having a "close" button or have an entry in the "toolbars" menu view to close it.
+  Not being so slow
Operating System: Fedora
Version: 4.1.0.0.beta1
Comment 1 Jacques Guilleron 2013-06-13 17:07:13 UTC
Hello Yohann,

On each side of your Writer window, at middle height, you have a new button (five vertical points enclosed with triangles). By clicking on it, you hide the media panel on the left side and the sidebar on the right.
You can also slide the window border to get the same thing.

No issue for me concerning the time, no slowing down.
Perhaps a linux issue?

LO 4.2.0.0.alpha0+
Build ID: c36348f20c4fcb6ae1acb0fd06c19edfa9fb108 
Windows 7 Home Premium.

Have a nice day,

Jacques Guilleron
Comment 2 Thomas Hackert 2013-06-20 13:21:12 UTC
Hello yohann, *,
I cannot confirm it w/ LO Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 and installed Germanophone lang- as well as helppack under Debian Testing AMD64. It neither slows down my system nor I am not able to close the Media Playback toolbar ... ;)

Did you try to close the toolbar via "View - Toolbars - Media Playback"? Does it close then? And wrt to LO slowing down your system: Which Java version are you using?

Sorry for the inconvenience
Thomas.
Comment 3 Goran Rakic 2013-06-21 11:57:32 UTC
When you dock the media player there is no close button on the window. There is no option in the menu to show or hide the media player like there is in Impress (Tools > Media Player).

To hide the media player in Writer you need to use the trick. Click and drag on any empty space in the media player region. The window should popup and there will be a close button.

The media player shows when you double click on any sound in the galery.
There should be a menu option to hide the media player in Writer. In Calc you can not double click on a sound in the galery and the media player does not show.

Tested with LibreOffice 4.0.4 release, but I think this goes back too. I am switching importance to minor as a clear workaround exists.
Comment 4 manj_k 2013-06-22 21:38:34 UTC
See also: Bug 57526 - Cannot close or remove Media Player

(Duplicate)
Comment 5 Thomas Hackert 2013-06-23 13:52:47 UTC
Hello Goran, *,
(In reply to comment #3)
> When you dock the media player there is no close button on the window. There

but yohan has not written anything, that he docks the media player ... ;) And when I dock it, I can easily undock it again and close it then ... ;)

> is no option in the menu to show or hide the media player like there is in
> Impress (Tools > Media Player).

If I undock the media player in Writer, I have the usual "x" on the right to close it, or can use <Alt>+<F4> ... ;)

> To hide the media player in Writer you need to use the trick. Click and drag
> on any empty space in the media player region. The window should popup and
> there will be a close button.

That does not work for me w/ LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 and installed Germanophone lang- as well as helppack under Debian Testing AMD64 and KDE 4.8.4 ... :(

> The media player shows when you double click on any sound in the galery.
> There should be a menu option to hide the media player in Writer. In Calc
> you can not double click on a sound in the galery and the media player does
> not show.

OK, but that would be another bug (or better feature request ... ;) ).

> Tested with LibreOffice 4.0.4 release, but I think this goes back too. I am
> switching importance to minor as a clear workaround exists.

OK
Thanks for your additional information
Thomas.
Comment 6 ads200002 2014-11-24 11:59:57 UTC
With LO version 4.2.7.2 it is possible to click and drag the media player to get the 'X' up to close it but it took me a few attempts. I agree with the previous posters, there should be a menu entry to close it. This is massively counter-intuitive at the moment and it's no wonder that so many people think LO is old-fashioned.
Comment 7 Edmund Laugasson 2015-05-23 19:48:07 UTC
Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)

I confirm the bug in 5.0.0.0.beta1 in Linux.

I opened gallery and tried to listen sound file preview. The sound file played well but media player window leaved open and was empty - only the title was visible. That media player window was not possible to close - then whole LibreOffice will crash. Next time you open the LibreOffice Writer - the media player window will open also and again not possible to close and LibreOffice will crash.

The only workaround seems to be to erase the user profile of LibreOffice, which location is described here - https://wiki.documentfoundation.org/UserProfile
Comment 8 Edmund Laugasson 2015-05-23 19:51:55 UTC
Created attachment 115912 [details]
backtrace log in Linux created as root user

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)

these steps has been done during backtrace:
* open gallery
* open first sound file preview

Result:
* sound file plays normally
* media player window remains open
* trying to close the media player window the LibreOffice will be closed using force
* reopening Writer the media player window will open again and cannot be closed
Comment 9 Edmund Laugasson 2015-05-23 19:55:37 UTC
Created attachment 115914 [details]
strace log in Linux as regular user

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)

Opening Writer when already media player window were opened last time when LibreOffice were closed using force. Media player window remains open and impossible to close - LibreOffice will crash again.
Comment 10 QA Administrators 2016-09-20 09:42:22 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2018-10-15 19:11:58 UTC
No problem with any slowness, crash or emptiness. I don't know how to dock it, though.

Would be great to hear from the people reproducing the bug in 2013-2015.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 00e10ae3189a4407ffb1a48f836cd52dc9a1b6df
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 13 October 2018